OTBGUI_COLORMAPPING(1)

NAME
otbgui_ColorMapping - OTB ColorMapping application

DESCRIPTION
This is the ColorMapping application, version 5.2.0 Maps an input label image to 8-bits RGB using look-up tables.

Complete documentation: http://www.orfeo-toolbox.org/Applications/ColorMapping.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)
 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint8) (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-op <string> Operation [labeltocolor/colortolabel] (mandatory, default value is labeltocolor)

-op.colortolabel.notfound
    <int32> Not Found Label (optional, on by default, default value is 404)

-method
    <string> Color mapping method [custom/continuous/optimal/image] (mandatory, default value is custom)

 -method.custom.lut <string> Look-up table file (mandatory)

-method.continuous.lut <string>  Look-up tables [redgreenbluegreyhotcoolspringsummerautumnwintercopperjethsvoverunderrelief] (mandatory, default value is red)

-method.continuous.min
    <float> Mapping range lower value (mandatory, default value is 0)

-method.continuous.max
    <float> Mapping range higher value (mandatory, default value is 255)

-method.optimal.background <int32>
    Background label (mandatory, default value is 0)

-method.image.in
    <string> Support Image (mandatory)

-method.image.nodatavalue
    <float> NoData value (optional, off by default, default value is 0)

-method.image.low
    <int32> lower quantile (optional, on by default, default value is 2)

-method.image.up
    <int32> upper quantile (optional, on by default, default value is 2)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_ColorMapping -in ROI_QB_MUL_1_SVN_CLASS_MULTI.png -method custom -method.custom.lut ROI_QB_MUL_1_SVN_CLASS_MULTI_PNG_ColorTable.txt -out Colorized_ROI_QB_MUL_1_SVN_CLASS_MULTI.tif

SEE ALSO
The full documentation for otbgui_ColorMapping is maintained as a Texinfo manual. If the info and otbgui_ColorMapping programs are properly installed at your site, the command

    info otbgui_ColorMapping

should give you access to the complete manual.